Name:           python-delocate
Version:        0.13.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Move macOS dynamic libraries into package

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://github.com/matthew-brett/delocate
Source:         %{pypi_source delocate}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'delocate' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-delocate
Summary:        %{summary}

%description -n python3-delocate %_description


%prep
%autosetup -p1 -n delocate-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-delocate -f %{pyproject_files}


%changelog
%autochangelog